Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 216.73.216.105
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
ifk
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
agetty
63.23
KB
-rwxr-xr-x
apparmor_parser
1.33
MB
-rwxr-xr-x
badblocks
34.01
KB
-rwxr-xr-x
blkdeactivate
14.49
KB
-rwxr-xr-x
blkdiscard
30.08
KB
-rwxr-xr-x
blkid
114.11
KB
-rwxr-xr-x
blkzone
70.08
KB
-rwxr-xr-x
blockdev
62.07
KB
-rwxr-xr-x
bridge
99.07
KB
-rwxr-xr-x
capsh
26.15
KB
-rwxr-xr-x
cfdisk
98.44
KB
-rwxr-xr-x
chcpu
42.07
KB
-rwxr-xr-x
ctrlaltdel
38.07
KB
-rwxr-xr-x
debugfs
221.47
KB
-rwxr-xr-x
depmod
162.18
KB
-rwxr-xr-x
devlink
131.45
KB
-rwxr-xr-x
dhclient
492.7
KB
-rwxr-xr-x
dhclient-script
14.13
KB
-rwxr-xr-x
discover
19.15
KB
-rwxr-xr-x
discover-modprobe
4.9
KB
-rwxr-xr-x
discover-pkginstall
5.66
KB
-rwxr-xr-x
dmsetup
166.8
KB
-rwxr-xr-x
dmstats
166.8
KB
-rwxr-xr-x
dumpe2fs
30.08
KB
-rwxr-xr-x
e2fsck
314.84
KB
-rwxr-xr-x
e2image
38.08
KB
-rwxr-xr-x
e2label
106.25
KB
-rwxr-xr-x
e2mmpstatus
30.08
KB
-rwxr-xr-x
e2undo
22.07
KB
-rwxr-xr-x
fdisk
142.13
KB
-rwxr-xr-x
findfs
14.07
KB
-rwxr-xr-x
fsck
50.13
KB
-rwxr-xr-x
fsck.cramfs
42.11
KB
-rwxr-xr-x
fsck.ext2
314.84
KB
-rwxr-xr-x
fsck.ext3
314.84
KB
-rwxr-xr-x
fsck.ext4
314.84
KB
-rwxr-xr-x
fsck.minix
114.1
KB
-rwxr-xr-x
fsck.nfs
333
B
-rwxr-xr-x
fsfreeze
14.07
KB
-rwxr-xr-x
fstab-decode
14.13
KB
-rwxr-xr-x
fstrim
66.08
KB
-rwxr-xr-x
getcap
14.15
KB
-rwxr-xr-x
getpcaps
14.15
KB
-rwxr-xr-x
getty
63.23
KB
-rwxr-xr-x
halt
852.34
KB
-rwxr-xr-x
hwclock
98.2
KB
-rwxr-xr-x
ifconfig
81.8
KB
-rwxr-xr-x
ifdown
86.08
KB
-rwxr-xr-x
ifquery
86.08
KB
-rwxr-xr-x
ifup
86.08
KB
-rwxr-xr-x
init
1.42
MB
-rwxr-xr-x
insmod
162.18
KB
-rwxr-xr-x
insserv
62.66
KB
-rwxr-xr-x
installkernel
2.58
KB
-rwxr-xr-x
ip
574.73
KB
-rwxr-xr-x
ip6tables
100.68
KB
-rwxr-xr-x
ip6tables-restore
100.68
KB
-rwxr-xr-x
ip6tables-save
100.68
KB
-rwxr-xr-x
ipmaddr
18.35
KB
-rwxr-xr-x
ipset
30.09
KB
-rwxr-xr-x
iptables
100.68
KB
-rwxr-xr-x
iptables-restore
100.68
KB
-rwxr-xr-x
iptables-save
100.68
KB
-rwxr-xr-x
iptunnel
26.34
KB
-rwxr-xr-x
isosize
30.08
KB
-rwxr-xr-x
kbdrate
14.3
KB
-rwxr-xr-x
key.dns_resolver
26.23
KB
-rwxr-xr-x
killall5
26.61
KB
-rwxr-xr-x
ldconfig
887.79
KB
-rwxr-xr-x
logsave
14
KB
-rwxr-xr-x
losetup
106.19
KB
-rwxr-xr-x
lsmod
162.18
KB
-rwxr-xr-x
mii-tool
26.84
KB
-rwxr-xr-x
mke2fs
130.31
KB
-rwxr-xr-x
mkfs
14.07
KB
-rwxr-xr-x
mkfs.bfs
34.08
KB
-rwxr-xr-x
mkfs.cramfs
38.01
KB
-rwxr-xr-x
mkfs.ext2
130.31
KB
-rwxr-xr-x
mkfs.ext3
130.31
KB
-rwxr-xr-x
mkfs.ext4
130.31
KB
-rwxr-xr-x
mkfs.minix
102.09
KB
-rwxr-xr-x
mkhomedir_helper
22.34
KB
-rwxr-xr-x
mkswap
98.08
KB
-rwxr-xr-x
modinfo
162.18
KB
-rwxr-xr-x
modprobe
162.18
KB
-rwxr-xr-x
mount.nfs
112.09
KB
-rwsr-xr-x
mount.nfs4
112.09
KB
-rwsr-xr-x
nameif
18.53
KB
-rwxr-xr-x
osd_login
2.53
KB
-rwxr-xr-x
pam_tally
14.29
KB
-rwxr-xr-x
pam_tally2
14.38
KB
-rwxr-xr-x
pivot_root
14.07
KB
-rwxr-xr-x
plipconfig
14.27
KB
-rwxr-xr-x
poweroff
852.34
KB
-rwxr-xr-x
rarp
36.93
KB
-rwxr-xr-x
raw
14.07
KB
-rwxr-xr-x
reboot
852.34
KB
-rwxr-xr-x
request-key
26.23
KB
-rwxr-xr-x
resize2fs
62.07
KB
-rwxr-xr-x
rmmod
162.18
KB
-rwxr-xr-x
route
64.97
KB
-rwxr-xr-x
rpc.statd
80.07
KB
-rwxr-xr-x
rpcbind
54.24
KB
-rwxr-xr-x
rtacct
44.68
KB
-rwxr-xr-x
rtmon
74.98
KB
-rwxr-xr-x
runlevel
852.34
KB
-rwxr-xr-x
runuser
62.08
KB
-rwxr-xr-x
setcap
14.15
KB
-rwxr-xr-x
sfdisk
130.08
KB
-rwxr-xr-x
shadowconfig
885
B
-rwxr-xr-x
showmount
22.71
KB
-rwxr-xr-x
shutdown
852.34
KB
-rwxr-xr-x
slattach
40.99
KB
-rwxr-xr-x
sm-notify
55.16
KB
-rwxr-xr-x
start-stop-daemon
43.16
KB
-rwxr-xr-x
sulogin
46.08
KB
-rwxr-xr-x
swaplabel
18.07
KB
-rwxr-xr-x
swapoff
22.07
KB
-rwxr-xr-x
swapon
50.08
KB
-rwxr-xr-x
switch_root
14.07
KB
-rwxr-xr-x
sysctl
26.08
KB
-rwxr-xr-x
tc
510.52
KB
-rwxr-xr-x
telinit
852.34
KB
-rwxr-xr-x
tipc
119.19
KB
-rwxr-xr-x
tune2fs
106.25
KB
-rwxr-xr-x
udevadm
658.51
KB
-rwxr-xr-x
umount.nfs
112.09
KB
-rwsr-xr-x
umount.nfs4
112.09
KB
-rwsr-xr-x
unix_chkpwd
38.69
KB
-rwxr-sr-x
unix_update
34.63
KB
-rwxr-xr-x
wipefs
46.08
KB
-rwxr-xr-x
zramctl
106.19
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : osd_login
#!/bin/bash # # osd_login : This script is part of the autologin feature # mandated by the pnfs-objects standard. # It is called from objlayoutdriver.ko in the kernel. # Copyright (C) 2012, Sachin Bhamare <sbhamare@panasas.com> # Copyright (C) 2012, Boaz Harrosh <bharrosh@panasas.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, # MA 02110-1301 USA umask 022 PATH="/sbin:/usr/sbin:/bin:/usr/bin" PARENT_PID=$BASHPID WATCHDOG_TIMEOUT=15 protocol="" portal="" uri="" osdname="" systemid="" usage() { echo "Usage: $0 -u <URI> -o <OSDNAME> -s <SYSTEMID>" echo "Options:" echo "-u target uri e.g. iscsi://<ip>:<port>" echo "-o osdname of the target OSD" echo "-s systemid of the target OSD" } parse_cmdline() { argc=$# if [ $# -lt 3 ]; then usage exit 1 fi # parse the input arguments while getopts "u:o:s:" options; do case $options in u ) uri=$OPTARG;; o ) osdname=$OPTARG;; s ) systemid=$OPTARG;; \? ) usage exit 1;; * ) usage exit 1;; esac done echo "-u : $uri" echo "-o : $osdname" echo "-s : $systemid" protocol=`echo $uri | awk -F ':' '{print $1}'` portal=`echo $uri | awk -F '//' '{print $2}'` } watchdog() { timeout=$1 portal=$2 sleep $timeout if kill -9 $PARENT_PID; then echo "watchdog : Timed out (>$timeout seconds) while login into $portal" | logger -t "osd_login" fi echo "watchdog: exiting .." exit 2 } login_iscsi_osd() { echo "login into: $1" if ! iscsiadm -m discovery -o nonpersistent -t sendtargets -p $1 --login; then echo "iscsiadm -m discovery -t sendtargets -p $1 --login returned error $? !" sleep 1; fi } echo "============= osd_login =========" echo "progname : $0" parse_cmdline "$@" echo "protocol: $protocol" echo "portal: $portal" watchdog $WATCHDOG_TIMEOUT $portal & watchdog_pid=$! case $protocol in iscsi) login_iscsi_osd $portal |& logger -t "osd_login" ;; *) echo "Error: protocol $protocol not supported !" | logger -t "osd_login" ;; esac kill -9 $watchdog_pid exit 0
Close